/*  This file is part of the KDE project
    Copyright (C) 2007 Matthias Kretz <kretz@kde.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) version 3.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#include "videodataoutput.h"

namespace Phonon
{
namespace Proxy
{

VideoDataOutput::VideoDataOutput(QObject *parent)
    : QObject(parent)
{
    createProxiedObject(BackendInterface::VideoDataOutputClass);
}

VideoDataOutput::~VideoDataOutput()
{
    send(Destructor);
    receive(Destructor);
}

quint32 VideoDataOutput::format() const
{
}

int VideoDataOutput::frameRate() const
{
}

void VideoDataOutput::setFrameRate(int frameRate)
{
}

QSize VideoDataOutput::naturalFrameSize() const
{
}

QSize VideoDataOutput::frameSize() const
{
}

void VideoDataOutput::setFrameSize(const QSize &frameSize)
{
}

void VideoDataOutput::setFormat(quint32 fourcc)
{
}

}} //namespace Phonon::Proxy
